<?php

/**
 * Copyright (c) 2019 Nexi Payments S.p.A.
 *
 * @author      iPlusService S.r.l.
 * @category    Payment Module
 * @package     Nexi XPay
 * @version     6.0.0
 * @copyright   Copyright (c) 2019 Nexi Payments S.p.A. (https://ecommerce.nexi.it)
 * @license     GNU General Public License v3.0
 */

namespace Nexi;

class WC_Gateway_NPG_Lock_Handler
{

    private static function set_order_validate_lock($order_id, $npg_order_id)
    {
        update_post_meta($order_id, '_npg_lock_' . $npg_order_id, 1);
    }

    private static function can_take_lock($order_id, $npg_order_id)
    {
        //not using get_post_meta because its value could be chached therefore not correct

        global $wpdb;

        $result = $wpdb->get_results("  SELECT *
                                        FROM " . $wpdb->prefix . "postmeta
                                        WHERE post_id = " . $order_id . " AND meta_key = '_npg_lock_" . $npg_order_id . "'");

        $lock = is_array($result) && !empty($result);

        return !$lock;
    }

    public static function chek_and_take_lock($order_id, $npg_order_id)
    {
        $i = 0;

        do {
            ++$i;

            if (static::can_take_lock($order_id, $npg_order_id)) {
                static::set_order_validate_lock($order_id, $npg_order_id);
                return true;
            }

            sleep(1);
        } while ($i <= 30);

        Log::actionWarning('Reached max timeout for lock release');

        return false;
    }

    public static function release_lock($order_id, $npg_order_id)
    {
        delete_post_meta($order_id, '_npg_lock_' . $npg_order_id);
    }
}
